libzypp 17.37.10

zypp::RepoManager::MatchServiceAlias Struct Reference

Functor thats filter RepoInfo by service which it belongs to. More...

## Public Member Functions
| MatchServiceAlias (std::string alias_)
bool | operator() (const RepoInfo &info) const

## Private Attributes
std::string | alias

## Detailed Description

Functor thats filter RepoInfo by service which it belongs to.

Definition at line 603 of file RepoManager.h.

## Constructor & Destructor Documentation

## ◆ MatchServiceAlias()

zypp::RepoManager::MatchServiceAlias::MatchServiceAlias | ( | std::string | alias_ | ) |
| inline

Definition at line 606 of file RepoManager.h.

## Member Function Documentation

## ◆ operator()()

bool zypp::RepoManager::MatchServiceAlias::operator() | ( | const RepoInfo & | info | ) | const
| inline

Definition at line 607 of file RepoManager.h.

## Member Data Documentation

## ◆ alias

std::string zypp::RepoManager::MatchServiceAlias::alias
| private

Definition at line 610 of file RepoManager.h.

The documentation for this struct was generated from the following file:

- zypp/RepoManager.h